//David Eisenberg

import java.io.*;
import java.util.*;

public class CreateFiles
{
	public static void main(String args[])
	{
		createCustomers();
		createVideos();
		createTests();
	}

	public static void createCustomers()
	{
		Formatter output;

		try
		{
			output = new Formatter("customers.txt");

			output.format("%s %s %s %s %d %d %s\n", "Jones", "Cooper", "Arlington", "Texas", 76019, 12345, "GOLD");
			output.format("%s %s %s %s %d %d %s\n", "Smith", "Bowen", "Arlington", "Texas", 76006, 65489, "PLATINUM");
			output.format("%s %s %s %s %d %d %s\n", "Barker", "Lancaster", "FortWorth", "Texas", 76090, 54367, "SILVER");
			output.format("%s %s %s %s %d %d %s\n", "Callan", "Lowe", "Dallas", "Texas", 75009, 98712, "GOLD");
			output.format("%s %s %s %s %d %d %s\n", "Willis", "King", "Tulas", "Oklahoma", 56909, 25968, "PLATINUM");
			output.close();
		}

		catch(IOException ioe)
		{
			ioe.printStackTrace();
		}

	}

	public static void createVideos()
	{
		Formatter output;

		try
		{
			output = new Formatter("videos.txt");

			output.format("%s %d %s %d\n", "Jones", 1, "Introduction", 10);
			output.format("%s %d %s %d\n", "Jones", 2, "Programming", 20);
			output.format("%s %d %s %d\n", "Smith", 2, "Programming", 20);
			output.format("%s %d %s %d\n", "Willis", 3, "Classes", 30);
			output.format("%s %d %s %d\n", "Smith", 4, "Loops", 40);
			output.format("%s %d %s %d\n", "Barker", 4, "Loops", 40);
			output.format("%s %d %s %d\n", "Callan", 5, "Switch", 50);
			output.format("%s %d %s %d\n", "Willis", 6, "Methods", 60);
			output.format("%s %d %s %d\n", "Jones", 7, "Arrays", 70);
			output.format("%s %d %s %d\n", "Callan", 8, "Composition", 80);
			output.format("%s %d %s %d\n", "Callan", 9, "Inheritance", 90);
			output.format("%s %d %s %d\n", "Barker", 10, "Polymorphism", 100);


			output.close();
		}

		catch(IOException ioe)
		{
			ioe.printStackTrace();
		}
	}

	public static void createTests()
	{
		Formatter output;

		try
		{
			output = new Formatter("tests.txt");

			output.format("%s %d %s %d\n", "Jones", 1, "Introduction", 85);
			output.format("%s %d %s %d\n", "Jones", 2, "Programming", 96);
			output.format("%s %d %s %d\n", "Smith", 2, "Programming", 75);
			output.format("%s %d %s %d\n", "Willis", 3, "Classes", 70);
			output.format("%s %d %s %d\n", "Smith", 4, "Loops", 82);
			output.format("%s %d %s %d\n", "Barker", 4, "Loops", 83);
			output.format("%s %d %s %d\n", "Callan", 5, "Switch", 100);
			output.format("%s %d %s %d\n", "Willis", 6, "Methods", 77);
			output.format("%s %d %s %d\n", "Jones", 7, "Arrays", 82);
			output.format("%s %d %s %d\n", "Callan", 8, "Composition", 60);
			output.format("%s %d %s %d\n", "Callan", 9, "Inheritance", 92);
			output.format("%s %d %s %d\n", "Barker", 10, "Polymorphism", 80);


			output.close();
		}

		catch(IOException ioe)
		{
			ioe.printStackTrace();
		}
	}
}