//David Eisenberg

import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.util.*;
import java.awt.*;

public class AddTestPanel extends JPanel
{
	static ArrayList<Customer> customerList = new ArrayList<Customer>();
	private JLabel labelName;
	private JLabel labeltChapter;
	private JLabel labeltTopic;
	private JLabel labeltGrade;
	private JLabel labelSubmit;
	private JTextField fieldName;
	private JTextField fieldtTopic;
	private JTextField fieldtGrade;
	private JButton submit;
	String tChapter[] = {"Select One", "1","2","3","4","5","6","7","8","9","10"};
	JComboBox<String> combo2 = new JComboBox<String>(tChapter);
	
	public AddTestPanel()
	{
		setLayout(new GridLayout(5,2));
		
		labelName = new JLabel("Enter Name");
		labeltChapter = new JLabel("Enter Test Chapter");
		labeltTopic = new JLabel("Enter Test Topic");
		labeltGrade = new JLabel("Enter Test Grade");		
		labelSubmit = new JLabel("Click Submit When Done");
		fieldName = new JTextField();
		fieldtTopic = new JTextField();
		fieldtGrade = new JTextField();
		fieldtGrade.setToolTipText("Enter an Integer");
		submit = new JButton("Submit");
		
		ButtonHandler1 handlerSubmit = new ButtonHandler1();
		submit.addActionListener(handlerSubmit);
		
		add(labelName);
		add(fieldName);
		add(labeltChapter);
		add(combo2);
		add(labeltTopic);
		add(fieldtTopic);
		add(labeltGrade);
		add(fieldtGrade);
		add(labelSubmit);
		add(submit);
	}
	
	public boolean isInt(String s)
	{
		try
		{
			Integer.parseInt(s);
			return true;
		}
		catch(NumberFormatException nfe)
		{
			return false;
		}
	}

	class ButtonHandler1 implements ActionListener
	{
		public void actionPerformed (ActionEvent ae)
		{
			if(checkData())
			{	
				String name;
				String chapter;
				int chapterconvert;
				String title;
				int grade;
				
				name = fieldName.getText();
				chapter = tChapter[combo2.getSelectedIndex()];
				title = fieldtTopic.getText();
				grade = Integer.parseInt(fieldtGrade.getText());
				chapterconvert = Integer.parseInt(chapter);
				
				DatabaseMethods dm2 = new DatabaseMethods();
				dm2.addTest(name, chapterconvert, title, grade);
			}
		
			clearAll();
		}	
	}
	
	public boolean checkData()
	{
		boolean input = true;
		
		if (fieldName.getText().isEmpty())
		{
			JOptionPane.showMessageDialog(null, "Please enter a name.");
			fieldName.setText("");
			fieldName.requestFocus();
			input = false;
		}
		
		else if (combo2.getSelectedIndex() == 0)
		{
			JOptionPane.showMessageDialog(null, "Select a test chapter from the drop down box.");
			combo2.setSelectedIndex(0);
			input = false;
		}
		
		else if (fieldtTopic.getText().isEmpty())
		{
			JOptionPane.showMessageDialog(null, "Please enter a topic.");
			fieldtTopic.setText("");
			fieldtTopic.requestFocus();
			input = false;
		}
			
		else if (fieldtGrade.getText().isEmpty() || !isInt(fieldtGrade.getText()))
		{
			JOptionPane.showMessageDialog(null, "Please enter an integer test grade.");
			fieldtGrade.setText("");
			fieldtGrade.requestFocus();
			input = false;
		}
		
		return input;
	}
	
	public void clearAll()
	{
		fieldName.setText("");
		combo2.setSelectedIndex(0);
		fieldtTopic.setText("");
		fieldtGrade.setText("");	
		fieldName.requestFocus();
	}
}