DROP DATABASE IF EXISTS Customers;

CREATE DATABASE Customers;

USE Customers;

CREATE TABLE Customer
(
	Customer varchar(30) NOT NULL,
	Street varchar(30) NOT NULL,
	City varchar(30) NOT NULL,
	State varchar(30) NOT NULL,
	ZipCode int NOT NULL,
	Account int NOT NULL,
	Type varchar(30) NOT NULL
);
CREATE TABLE Video
(
	CustomerName varchar(30) NOT NULL,
	Chapter int NOT NULL,
	Title varchar(30) NOT NULL,
	ID int NOT NULL
);
CREATE TABLE Test
(
	CustomerName varchar(30) NOT NULL,
	Chapter int NOT NULL,
	Title varchar(30) NOT NULL,
	Grade int NOT NULL
);

INSERT INTO Customer (Customer,Street,City,State,ZipCode,Account,Type) VALUES ('Jones', 'Cooper', 'Arlington', 'Texas', 76019, 12345, 'GOLD');
INSERT INTO Customer (Customer,Street,City,State,ZipCode,Account,Type) VALUES ('Smith', 'Bowen', 'Arlington', 'Texas', 76006, 65489, 'PLATINUM');
INSERT INTO Customer (Customer,Street,City,State,ZipCode,Account,Type) VALUES ('Barker', 'Lancaster', 'FortWorth', 'Texas', 76090, 54367, 'SILVER');
INSERT INTO Customer (Customer,Street,City,State,ZipCode,Account,Type) VALUES ('Callan', 'Lowe', 'Dallas', 'Texas', 75009, 98712, 'GOLD');
INSERT INTO Customer (Customer,Street,City,State,ZipCode,Account,Type) VALUES ('Willis', 'King', 'Tulas', 'Oklahoma', 56909, 25968, 'PLATINUM');

INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Jones', 1, 'Introduction', 10);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Jones', 2, 'Programming', 20);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Smith', 2, 'Programming', 20);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Willis', 3, 'Classes', 30);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Smith', 4, 'Loops', 40);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Barker', 4, 'Loops', 40);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Callan', 5, 'Switch', 50);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Willis', 6, 'Methods', 60);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Jones', 7, 'Arrays', 70);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Callan', 8, 'Composition', 80);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Callan', 9, 'Inheritance', 90);
INSERT INTO Video (CustomerName, Chapter, Title, ID) VALUES ('Barker', 10, 'Polymorphism', 100);

INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Jones', 1, 'Introduction', 85);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Jones', 2, 'Programming', 96);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Smith', 2, 'Programming', 75);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Willis', 3, 'Classes', 70);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Smith', 4, 'Loops', 82);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Barker', 4, 'Loops', 83);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Callan', 5, 'Switch', 100);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Willis', 6, 'Methods', 77);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Jones', 7, 'Arrays', 82);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Callan', 8, 'Composition', 60);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Callan', 9, 'Inheritance', 92);
INSERT INTO Test (CustomerName, Chapter, Title, Grade) VALUES ('Barker', 10, 'Polymorphism', 80);