//David Eisenberg

import java.util.*;
import javax.swing.*;

public class CustomerTest
{
	public static void main(String args[])
	{
		String message="";

		Customer jones = new Customer ("Jones", new Address("Cooper","Arlington", "Texas", 76019), 12345);
		Customer smith = new Customer ("Smith", new Address("Bowen","Arlington", "Texas", 76006), 65489);

		jones.setCType(Customer.CustomerType.GOLD);

		Video jonesv1 = new Video ( 1, "Introduction", 10);
		Video jonesv2 = new Video ( 2, "Programming", 20);
		Test jonest1 = new Test ( 1, "Introduction", 85);
		Test jonest2 = new Test ( 2, "Programming", 96);

		Video smithv1 = new Video( 2, "Programming", 20);
		Video smithv2 = new Video (4, "Loops", 40);
		Test smitht1 = new Test( 2, "Programming", 75);
		Test smitht2 = new Test( 4, "Loops", 82);

		jones.addLesson(jonesv1);
		jones.addLesson(jonesv2);
		jones.addLesson(jonest1);
		jones.addLesson(jonest2);

		smith.addLesson(smithv1);
		smith.addLesson(smithv2);
		smith.addLesson(smitht1);
		smith.addLesson(smitht2);

		ArrayList<Customer> customerList = new ArrayList<Customer>();
		customerList.add(jones);
		customerList.add(smith);

		for(Customer c:customerList)
			message += "This month's charge for "  + c.createInvoice()+ "\n";

		System.out.println(jones + jones.getLessons());
		System.out.println(smith + smith.getLessons());

		JOptionPane.showMessageDialog(null, message);
	}
}