//David Eisenberg

import java.util.ArrayList;
import java.io.Serializable;

public class Video extends Lesson implements Serializable
{
	private int number;

	public Video()
	{
		super();
		setNumber(0);
	}

	public Video(int c, String t, int n)
	{
		super(c,t);
		setNumber(n);
	}

	public void setNumber(int n)
	{
		number = n;
	}

	public int getNumber()
	{
		return number;
	}

	public String toString()
	{
		return ("Video " + super.toString() + " Number " + number);
	}

	public double calculateCharge(Customer.CustomerType c)
	{
		double charge =0;

		if (c == Customer.CustomerType.GOLD)
			charge += .50;
		if (c == Customer.CustomerType.SILVER)
			charge += 1.00;
		if (c == Customer.CustomerType.PLATINUM)
			charge += 0.0;

		return charge;
	}
}