//David Eisenberg

import java.util.ArrayList;
import java.io.Serializable;

public abstract class Lesson implements Serializable
{
	private int chapter;
	private String topic;

	public Lesson()
	{
		setChapter(0);
		setTopic("");
	}

	public Lesson(int c, String t)
	{
		setChapter(c);
		setTopic(t);
	}

	public void setChapter(int c)
	{
		chapter = c;
	}

	public void setTopic(String t)
	{
		topic = t;
	}

	public int getChapter()
	{
		return chapter;
	}

	public String getTopic()
	{
		return topic;
	}

	public abstract double calculateCharge(Customer.CustomerType c);

	public String toString()
	{
		return ("Chapter " + chapter + " Topic " + topic);
	}
}