// fig.26.1, fig.26.2 Priority average is 5 fig 26.3,fig26.4,fig26.6
import java.util.concurrent.Executors;
import java.util.concurrent.ExecutorService;
class PrintChar implements Runnable
{
	char output;

	public PrintChar(char c)
	{
		output = c;
	}

	public void run()
	{
		for (int i =0;i<=25;i++)
			System.out.println(output);
	}
}

class PrintNum implements Runnable
{
	int number;

	public PrintNum(int n)
	{
		number= n;
	}

	public void run()
	{
		for (int i= 1; i<= number; i++)
			System.out.println(i);
	}
}

public class PrintCharTestExecutor
{
	public static void main (String args [])
	{
		PrintChar pc1 = new PrintChar('x');
		PrintChar pc2 = new PrintChar('y');

		PrintChar pc3 = new PrintChar('z');
		PrintNum pn1 = new PrintNum(15);
		ExecutorService threadExecutor= Executors.newCachedThreadPool();

		//pc1.start();
		//pc2.start();
		//pc3.start();
		//pn1.start();

		threadExecutor.execute(pc1);
		threadExecutor.execute(pc2);
		threadExecutor.execute(pc3);
		threadExecutor.execute(pn1);

		threadExecutor.shutdown();

	}
}

